Probleme mit PHP

Bash, Shell, PHP, Python, Perl, CGI
knuppel
Posts: 102
Joined: 2003-12-04 12:13

Probleme mit PHP

Post by knuppel » 2007-01-15 09:00

Hallo!

HAbe einen Vserver bei Lycos(Debian).

Habe dort webmin istalliert.
Leider klappt das da nicht mit PHP,wenn ich ne PHP seite aufrufen will
wird sie mir zum Download angeboten.

das steht in meiner httpd.conf:
AddType application/x-httpd-php .php
AddType application/x-httpd-php-source .phps

und dies in modules.conf

# Autogenerated file - do not edit!
# This file is maintained by the apache package.
# To update it, run the command:
# /usr/sbin/apache-modconf apache
ClearModuleList
AddModule mod_so.c
AddModule mod_macro.c
LoadModule config_log_module /usr/lib/apache/1.3/mod_log_config.so
LoadModule mime_magic_module /usr/lib/apache/1.3/mod_mime_magic.so
LoadModule mime_module /usr/lib/apache/1.3/mod_mime.so
LoadModule negotiation_module /usr/lib/apache/1.3/mod_negotiation.so
LoadModule status_module /usr/lib/apache/1.3/mod_status.so
LoadModule autoindex_module /usr/lib/apache/1.3/mod_autoindex.so
LoadModule dir_module /usr/lib/apache/1.3/mod_dir.so
LoadModule cgi_module /usr/lib/apache/1.3/mod_cgi.so
LoadModule userdir_module /usr/lib/apache/1.3/mod_userdir.so
LoadModule alias_module /usr/lib/apache/1.3/mod_alias.so
LoadModule rewrite_module /usr/lib/apache/1.3/mod_rewrite.so
LoadModule access_module /usr/lib/apache/1.3/mod_access.so
LoadModule auth_module /usr/lib/apache/1.3/mod_auth.so
LoadModule expires_module /usr/lib/apache/1.3/mod_expires.so
LoadModule setenvif_module /usr/lib/apache/1.3/mod_setenvif.so
LoadModule php4_module /usr/lib/apache/1.3/libphp4.so

auich nach Apache neustart werden php dateien nur zum Download angeboten..

jetzt hab ich mir gedacht installier ich gleich PHP 5

alles downgeloaded,aber beim configuren:
erv-2-7-47:~/php-5.2.0# ./configure
loading cache ./config.cache
checking for Cygwin environment... no
checking for mingw32 environment... no
checking for egrep... grep -E
checking for a sed that does not truncate output... /bin/sed
checking host system type... i686-pc-linux-gnulibc1
checking target system type... i686-pc-linux-gnulibc1
checking for gcc... gcc
checking whether the C compiler (gcc ) works... no
configure: error: installation or configuration problem: C compiler cannot create executables.

.....kann mir jemand helfen?

blnsnoopy26
Posts: 660
Joined: 2002-10-19 14:01

Re: Probleme mit PHP

Post by blnsnoopy26 » 2007-01-15 09:43

Immer diese Leute die zu faul sind google zu benutzen

Link

knuppel
Posts: 102
Joined: 2003-12-04 12:13

Re: Probleme mit PHP

Post by knuppel » 2007-01-15 10:00

das hilft mir nicht....

will doch erstmal php4 behalten

aber es läuft leider nicht,obwohl ich das Modul geladen hab...